.category-previews .previews-more {
	position: relative;
	display: flex;
	flex-direction: row;
	align-items: center;
	justify-content: center;
	gap: 24px;
	margin-top: 32px;
	min-height: 51px;
}

.category-previews .previews-more__btn {
	display: flex;
	align-items: center;
	justify-content: center;
	max-width: 178px;
	width: 100%;
	height: 51px;
	margin: 0;
	padding: 0 20px;
	font: 18px/22.82px 'Euclid Circular A Medium', sans-serif;
	color: #2e2f38;
	background: #f3f3f3;
	border-radius: 15px;
	border: 1px solid #2e2f38;
	cursor: pointer;
	transition: color 0.2s, background-color 0.2s, border-color 0.2s;
}

.category-previews .previews-more__btn:hover {
	color: #fff;
	background: #0eb1d2;
	border-color: #0eb1d2;
}

.category-previews .previews-pagination {
	position: absolute;
	right: 0;
	top: 50%;
	display: flex;
	align-items: center;
	gap: 14px;
	transform: translateY(-50%);
}

.category-previews .previews-pagination__item,
.category-previews .previews-pagination__prev,
.category-previews .previews-pagination__next,
.category-previews .previews-pagination__dots {
	padding: 0;
	border: 0;
	background: transparent;
	font: 'Euclid Circular A Medium', sans-serif;
	color: rgba(46, 47, 56, 0.5);
	cursor: pointer;
	transition: color 0.2s;
	font-size: 18px;
	line-height: 127%;
	text-align: center;
}

.category-previews .previews-pagination__dots {
	cursor: default;
}

.category-previews .previews-pagination__item:hover,
.category-previews .previews-pagination__prev:hover,
.category-previews .previews-pagination__next:hover {
	color: #2e2f38;
}

.category-previews .previews-pagination__item.is-active {
	color: #2e2f38;
	cursor: default;
}

@media (max-width: 992px) {
	.category-previews .previews-more {
		flex-direction: column-reverse;
		align-items: center;
		gap: 20px;
	}

	.category-previews .previews-pagination {
		position: static;
		transform: none;
		flex-wrap: wrap;
		justify-content: center;
		gap: 16px;
	}
}
